SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000551SiT!otherpublic2009-03-04 17:572011-06-15 17:28
Reportermodir 
Assigned Toivan 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.45 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0000551: Some ideas for better HTML code
DescriptionI was looking a little on the HTML code. And I found some stuff that could be done better (in my opinion).

a)
<div id='masthead'><h1 id='apptitle'><span>SIT Support Center</span></h1></div>

- Why is here a span-tag within the h1? It doesn't make sense to me to have an inline tag within a block-level tag like this.
- From a semantical/logical point if view the h1 is the book title (or in this case the application name). Why do you still need the ID for this?

b)
<div id='mainframe'><div style='margin-left: auto; margin-right: auto; width: 380px; text-align: center; margin-top: 3em;'>

It would be better if all this style parameters are moved into the CSS files. Then it could be changed by others.

c)
<div class='windowbox' style='width: 220px;'>
<div class='windowtitle'>HSC - Login</div>

- When I am moving the cursor over the windowtitle it changes into a "clickable-cursor". But there is nothing I could click on. Maybe the CSS file has to be changed.
- The style should be moved to the CSS file.
- And I would recommend you to use the h2 tag instead of div.windowtitle. h2 is a block element too and it describes semantically better what this is (a second level title).

d)
<label for='username'>Username:
<input id='username' name='username' size='28' type='text' /></label>

This is for several reasons not that good.
- If you are using the for-attribute within the label tag then you do not need to end the label after the input-tag. This is only needed if you do not use the for-attribute.
- Then you could remove the br-tag as well and make with a CSS entry a break after the label.
- In general I would recommend you to design the forms like described here: http://www.alistapart.com/articles/prettyaccessibleforms [^]

I understand if you do not want to use all my ideas. I just want to give hints what could be made better.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0000703)
ivan (administrator)
2009-03-04 18:09

Thanks!

I agree with everything you say there, Most of the issues you point out are due to either lazyness or just that the code hasn't changed since the rather sloppy HTML of the very first version of SiT. We do have an issue raised already to remind us to move the inline CSS into the .css file, it's just one of a million things to do I suppose.

I've assigned this to me and I'll try and take a look before 3.5 is released, especially since 3.5 is focussed on usability/accessibility.

Since you seem so knowledgeable about these things do you fancy diving in and helping change some of them? see http://sitracker.org/wiki/DevelopmentHowTo [^]

no pressure ;)
(0000870)
modir (reporter)
2009-03-29 23:27

As soon as I find some time to work on it I will help you out. But in the next 3 weeks I am fully packed with other stuff.

I have here a new update for the German language file. And I am still trying to find some time to update some more strings.

I let you know when I have some updates for it.
User avatar (0004007)
ivan (administrator)
2011-06-15 17:28

Most, if not all of these are fixed in Git now. Thanks again modir.

- Issue History
Date Modified Username Field Change
2009-03-04 17:57 modir New Issue
2009-03-04 18:09 ivan Note Added: 0000703
2009-03-04 18:09 ivan Status new => assigned
2009-03-04 18:09 ivan Target Version => 3.50
2009-03-24 12:01 ivan Assigned To => ivan
2009-03-29 23:27 modir Note Added: 0000870
2009-05-30 14:51 ivan Target Version 3.50 => 3.60
2009-08-21 14:36 kieran Target Version 3.60 => 4.0
2010-03-11 16:08 ivan Category templates => other
2011-02-14 13:25 ivan Target Version 4.0 => 3.90beta1
2011-06-15 17:28 ivan Note Added: 0004007
2011-06-15 17:28 ivan Status assigned => resolved
2011-06-15 17:28 ivan Fixed in Version => Current GIT
2011-06-15 17:28 ivan Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker